%define ttfdir %_datadir/fonts/default/TrueType-thai

Name: thai-fonts-ttf
Version: 0.1
Release: alt3

Summary: Free Thai TrueType fonts
Summary (ru_RU.UTF-8): Тайские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Source: fonts-ttf-thai-norasi.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides Free Thai TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся тайские TrueType шрифты.

%prep
%setup -q -c -a0

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 0.1-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc README

%changelog
* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-alt3
- %postun script fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-alt2
- Changed dir
- Cleanups

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.1-alt1
- ALTLinux build
